VST 3 Interfaces: BusInfo Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
BusInfo Struct Reference
VST busses

    BusInfo:

This is the structure used with getBusInfo, informing the host about what is a specific given bus. More...

`#include <ivstcomponent.h>`

## Public Types
enum | BusFlags { kDefaultActive = 1 << 0, kIsControlVoltage = 1 << 1 }

## Public Attributes
MediaType | mediaType
| Media type - has to be a value of MediaTypes.
BusDirection | direction
| input or output BusDirections
int32 | channelCount
             number of channels (if used then need to be recheck after \ref
IAudioProcessor::setBusArrangements is called).
String128 | name
| name of the bus
BusType | busType
| main or aux - has to be a value of BusTypes
uint32 | flags
| flags - a combination of BusFlags

## Detailed Description

    BusInfo:

This is the structure used with getBusInfo, informing the host about what is a specific given bus.

See also: Steinberg::Vst::IComponent::getBusInfo

## Member Enumeration Documentation

enum BusFlags

Enumerator
kDefaultActive | The bus should be activated by the host per default on instantiation (activateBus call is requested). By default a bus is inactive.
kIsControlVoltage | The bus does not contain ordinary audio data, but data used for control changes at sample rate. The data is in the same format as the audio data [-1..1]. A host has to prevent unintended routing to speakers to prevent damage. Only valid for audio media type busses. [released: 3.7.0]

## Member Data Documentation

MediaType mediaType

Media type - has to be a value of MediaTypes.

BusDirection direction

input or output BusDirections

int32 channelCount

             number of channels (if used then need to be recheck after \ref

IAudioProcessor::setBusArrangements is called).

For a bus of type MediaTypes::kEvent the channelCount corresponds to the number of supported MIDI channels by this bus

String128 name

name of the bus

BusType busType

main or aux - has to be a value of BusTypes

uint32 flags

flags - a combination of BusFlags

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.